PAL
Date: 2019-10-22

org.jmol.c

## Enum PAL

- java.lang.Object
- - java.lang.Enum<PAL>
  - - org.jmol.c.PAL

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PAL>

      public enum PAL
      extends java.lang.Enum<PAL>

  Enum for animation mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALTLOC`
    `AMINO`
    `CHAIN`
    `CPK`
    `ENERGY`
    `FIXEDTEMP`
    `FORMAL_CHARGE`
    `GROUP`
    `INSERTION`
    `JMOL`
    `MOLECULE`
    `MONOMER`
    `NONE`
    `NUCLEIC`
    `PARTIAL_CHARGE`
    `POLYMER`
    `PROPERTY`
    `RASMOL`
    `SHAPELY`
    `STRAIGHTNESS`
    `STRUCTURE`
    `SURFACE`
    `TEMP`
    `TYPE`
    `UNKNOWN`
    `VARIABLE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int[]` | `argbsCpk` Default table of CPK atom colors.
    `static int[]` | `argbsCpkRasmol`
    `byte` | `id`
    `private java.lang.String` | `name`
    `static byte` | `PALETTE_ALTLOC`
    `static byte` | `PALETTE_AMINO`
    `static byte` | `PALETTE_CHAIN`
    `static byte` | `PALETTE_CPK`
    `static byte` | `PALETTE_ENERGY`
    `static byte` | `PALETTE_FIXEDTEMP`
    `static byte` | `PALETTE_FORMAL_CHARGE`
    `static byte` | `PALETTE_GROUP`
    `static byte` | `PALETTE_INSERTION`
    `static byte` | `PALETTE_JMOL`
    `static byte` | `PALETTE_MOLECULE`
    `static byte` | `PALETTE_MONOMER`
    `static byte` | `PALETTE_NONE`
    `static byte` | `PALETTE_NUCLEIC`
    `static byte` | `PALETTE_PARTIAL_CHARGE`
    `static byte` | `PALETTE_POLYMER`
    `static byte` | `PALETTE_PROPERTY`
    `static byte` | `PALETTE_RASMOL`
    `static byte` | `PALETTE_SHAPELY`
    `static byte` | `PALETTE_STRAIGHTNESS`
    `static byte` | `PALETTE_STRUCTURE`
    `static byte` | `PALETTE_SURFACE`
    `static byte` | `PALETTE_TEMP`
    `static byte` | `PALETTE_TYPE`
    `static byte` | `PALETTE_VARIABLE`
    `static byte` | `PALETTE_VOLATILE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PAL` | `getPalette(java.lang.String paletteName)`
    `static byte` | `getPaletteID(java.lang.String paletteName)`
    `static java.lang.String` | `getPaletteName(byte pid)`
    `static boolean` | `isPaletteVariable(byte pid)`
    `static byte` | `pidOf(java.lang.Object value)`
    `static PAL` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PAL[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final PAL UNKNOWN

    - #### NONE

          public static final PAL NONE

    - #### CPK

          public static final PAL CPK

    - #### PARTIAL_CHARGE

          public static final PAL PARTIAL_CHARGE

    - #### FORMAL_CHARGE

          public static final PAL FORMAL_CHARGE

    - #### TEMP

          public static final PAL TEMP

    - #### FIXEDTEMP

          public static final PAL FIXEDTEMP

    - #### SURFACE

          public static final PAL SURFACE

    - #### STRUCTURE

          public static final PAL STRUCTURE

    - #### AMINO

          public static final PAL AMINO

    - #### SHAPELY

          public static final PAL SHAPELY

    - #### CHAIN

          public static final PAL CHAIN

    - #### GROUP

          public static final PAL GROUP

    - #### MONOMER

          public static final PAL MONOMER

    - #### MOLECULE

          public static final PAL MOLECULE

    - #### ALTLOC

          public static final PAL ALTLOC

    - #### INSERTION

          public static final PAL INSERTION

    - #### JMOL

          public static final PAL JMOL

    - #### RASMOL

          public static final PAL RASMOL

    - #### TYPE

          public static final PAL TYPE

    - #### ENERGY

          public static final PAL ENERGY

    - #### PROPERTY

          public static final PAL PROPERTY

    - #### VARIABLE

          public static final PAL VARIABLE

    - #### STRAIGHTNESS

          public static final PAL STRAIGHTNESS

    - #### POLYMER

          public static final PAL POLYMER

    - #### NUCLEIC

          public static final PAL NUCLEIC

  - ### Field Detail

    - #### name

          private java.lang.String name

    - #### id

          public byte id

    - #### PALETTE_VOLATILE

          public static final byte PALETTE_VOLATILE

      See Also:
        Constant Field Values

    - #### PALETTE_NONE

          public static final byte PALETTE_NONE

      See Also:
        Constant Field Values

    - #### PALETTE_CPK

          public static final byte PALETTE_CPK

      See Also:
        Constant Field Values

    - #### PALETTE_PARTIAL_CHARGE

          public static final byte PALETTE_PARTIAL_CHARGE

      See Also:
        Constant Field Values

    - #### PALETTE_FORMAL_CHARGE

          public static final byte PALETTE_FORMAL_CHARGE

      See Also:
        Constant Field Values

    - #### PALETTE_TEMP

          public static final byte PALETTE_TEMP

      See Also:
        Constant Field Values

    - #### PALETTE_FIXEDTEMP

          public static final byte PALETTE_FIXEDTEMP

      See Also:
        Constant Field Values

    - #### PALETTE_SURFACE

          public static final byte PALETTE_SURFACE

      See Also:
        Constant Field Values

    - #### PALETTE_STRUCTURE

          public static final byte PALETTE_STRUCTURE

      See Also:
        Constant Field Values

    - #### PALETTE_AMINO

          public static final byte PALETTE_AMINO

      See Also:
        Constant Field Values

    - #### PALETTE_SHAPELY

          public static final byte PALETTE_SHAPELY

      See Also:
        Constant Field Values

    - #### PALETTE_CHAIN

          public static final byte PALETTE_CHAIN

      See Also:
        Constant Field Values

    - #### PALETTE_GROUP

          public static final byte PALETTE_GROUP

      See Also:
        Constant Field Values

    - #### PALETTE_MONOMER

          public static final byte PALETTE_MONOMER

      See Also:
        Constant Field Values

    - #### PALETTE_MOLECULE

          public static final byte PALETTE_MOLECULE

      See Also:
        Constant Field Values

    - #### PALETTE_ALTLOC

          public static final byte PALETTE_ALTLOC

      See Also:
        Constant Field Values

    - #### PALETTE_INSERTION

          public static final byte PALETTE_INSERTION

      See Also:
        Constant Field Values

    - #### PALETTE_JMOL

          public static final byte PALETTE_JMOL

      See Also:
        Constant Field Values

    - #### PALETTE_RASMOL

          public static final byte PALETTE_RASMOL

      See Also:
        Constant Field Values

    - #### PALETTE_TYPE

          public static final byte PALETTE_TYPE

      See Also:
        Constant Field Values

    - #### PALETTE_ENERGY

          public static final byte PALETTE_ENERGY

      See Also:
        Constant Field Values

    - #### PALETTE_PROPERTY

          public static final byte PALETTE_PROPERTY

      See Also:
        Constant Field Values

    - #### PALETTE_VARIABLE

          public static final byte PALETTE_VARIABLE

      See Also:
        Constant Field Values

    - #### PALETTE_STRAIGHTNESS

          public static final byte PALETTE_STRAIGHTNESS

      See Also:
        Constant Field Values

    - #### PALETTE_POLYMER

          public static final byte PALETTE_POLYMER

      See Also:
        Constant Field Values

    - #### PALETTE_NUCLEIC

          public static final byte PALETTE_NUCLEIC

      See Also:
        Constant Field Values

    - #### argbsCpkRasmol

          public static final int[] argbsCpkRasmol

    - #### argbsCpk

          public static final int[] argbsCpk

      Default table of CPK atom colors. ghemical colors with a few modifications

  - ### Method Detail

    - #### values

          public static PAL[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PAL c : PAL.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PAL valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### pidOf

          public static byte pidOf(java.lang.Object value)

    - #### isPaletteVariable

          public static boolean isPaletteVariable(byte pid)

    - #### getPalette

          public static PAL getPalette(java.lang.String paletteName)

    - #### getPaletteID

          public static final byte getPaletteID(java.lang.String paletteName)

    - #### getPaletteName

          public static final java.lang.String getPaletteName(byte pid)